GROUPMEMS(8)

NOM
groupmems - Administrer les membres du groupe primaire d'un utilisateur

SYNOPSIS

groupmems -a nom_utilisateur | -d nom_utilisateur | [-g nom_groupe] | -l | -p

DESCRIPTION

La commande groupmems permet à un utilisateur d'administrer la liste des membres de son propre groupe sans avoir les privilèges du superutilisateur. L'utilitaire groupmems a été conçu pour les systèmes qui configurent leurs utilisateurs de telle sorte qu'ils soient responsables de leur groupe primaire (par exemple guest/guest).

Seul le superutilisateur, en tant qu'administrateur, peut utiliser groupmems pour modifier la liste des membres d'un autre groupe.

OPTIONS

Les options disponibles pour la commande groupmems sont :

-a, --add nom_utilisateur
    Add a user to the group membership list.

    Si le fichier /etc/gshadow existe, et que le groupe n'y a pas d'entrée, une nouvelle entrée sera créée.

-d, --delete nom_utilisateur
    Supprimer un utilisateur de la liste des membres du groupe.

    Si le fichier /etc/gshadow existe, l'utilisateur sera retiré de la liste des membres et des administrateurs du groupe.

    Si le fichier /etc/gshadow existe, et que le groupe n'y a pas d'entrée, une nouvelle entrée sera créée.

-g, --group nom_groupe
    Le superutilisateur peut préciser la liste des membres du groupe à modifier.

-h, --help
    Afficher un message d'aide et quitter.

-l, --list
    Afficher la liste des membres du groupe.

-p, --purge
    Supprimer tous les utilisateurs de la liste des membres du groupe.

    Si le fichier /etc/gshadow existe, et que le groupe n'y a pas d'entrée, une nouvelle entrée sera créée.

-R, --root RÉP_CHROOT
    Appliquer les changements dans le répertoire RÉP_CHROOT et utiliser les fichiers de configuration du répertoire RÉP_CHROOT.

CONFIGURATION

L'exécutable groupmems doit être installé en mode 2770 avec pour utilisateur root et pour groupe groups. L'administrateur système peut ajouter des utilisateurs au groupe groups pour leur permettre ou leur interdire d'utiliser groupmems pour gérer leur propre liste de membres du groupe.

    	$ groupadd -r groups
    	$ chmod 2770 groupmems
    	$ chown root.groups groupmems
    	$ groupmems -g groups -a gk4

CONFIGURATION

Les variables de configuration suivantes dans /etc/login.defs modifient le comportement de cet outil :

MAX_MEMBERS_PER_GROUP (nombre)
    Nombre maximum de membres par entrée de groupe. Lorsque le maximum est atteint, une nouvelle entrée de groupe (ligne) est démarrée dans /etc/group (avec le même nom, même mot de passe, et même GID).

    La valeur par défaut est 0, ce qui signifie qu'il n'y a pas de limites pour le nombre de membres dans un groupe.

    Cette fonctionnalité (groupe découpé) permet de limiter la longueur des lignes dans le fichier de groupes. Ceci est utile pour s'assurer que les lignes pour les groupes NIS ne sont pas plus grandes que 1024 caractères.

    Si vous avez besoin de configurer cette limite, vous pouvez utiliser 25.

    Remarque : les groupes découpés ne sont peut-être pas pris en charge par tous les outils (même dans la suite d'outils Shadow). Vous ne devriez pas utiliser cette variable, sauf si vous en avez vraiment besoin.

FICHIERS

/etc/group
    Informations sur les groupes.

/etc/gshadow
    informations cachées sur les groupes

VOIR AUSSI

chfn(1), chsh(1), passwd(1), groupadd(8), groupdel(8), useradd(8), userdel(8), usermod(8).